---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li class="current"><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span><span onclick="javascript:toggleLevel(5);">5</span><span onclick="javascript:toggleLevel(6);">6</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1BaseThemeLoader.html" target="_self">tgui::BaseThemeLoader</a></td><td class="desc">Base class for theme loader implementations </td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1DefaultThemeLoader.html" target="_self">tgui::DefaultThemeLoader</a></td><td class="desc">Default implementation for theme loading </td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Borders.html" target="_self">tgui::Borders</a></td><td class="desc"></td></tr>
<tr id="row_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtgui_1_1Callback.html" target="_self">tgui::Callback</a></td><td class="desc"></td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Clipboard.html" target="_self">tgui::Clipboard</a></td><td class="desc"></td></tr>
<tr id="row_4_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Clipping.html" target="_self">tgui::Clipping</a></td><td class="desc"></td></tr>
<tr id="row_5_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Color.html" target="_self">tgui::Color</a></td><td class="desc">Implicit converter for colors </td></tr>
<tr id="row_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Deserializer.html" target="_self">tgui::Deserializer</a></td><td class="desc">Deserialize an settable property </td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_7_" class="arrow" onclick="toggleFolder('7_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>Drawable</b></td><td class="desc"></td></tr>
<tr id="row_7_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Texture.html" target="_self">tgui::Texture</a></td><td class="desc"></td></tr>
<tr id="row_7_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_7_1_" class="arrow" onclick="toggleFolder('7_1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Widget.html" target="_self">tgui::Widget</a></td><td class="desc">The parent class for every widget </td></tr>
<tr id="row_7_1_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChatBox.html" target="_self">tgui::ChatBox</a></td><td class="desc"></td></tr>
<tr id="row_7_1_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_7_1_1_" class="arrow" onclick="toggleFolder('7_1_1_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ClickableWidget.html" target="_self">tgui::ClickableWidget</a></td><td class="desc">Clickable widget </td></tr>
<tr id="row_7_1_1_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Button.html" target="_self">tgui::Button</a></td><td class="desc"><a class="el" href="classtgui_1_1Button.html" title="Button widget. ">Button</a> widget </td></tr>
<tr id="row_7_1_1_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Canvas.html" target="_self">tgui::Canvas</a></td><td class="desc"></td></tr>
<tr id="row_7_1_1_2_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1EditBox.html" target="_self">tgui::EditBox</a></td><td class="desc">Edit box widget </td></tr>
<tr id="row_7_1_1_3_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Label.html" target="_self">tgui::Label</a></td><td class="desc"><a class="el" href="classtgui_1_1Label.html" title="Label widget. ">Label</a> widget </td></tr>
<tr id="row_7_1_1_4_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Picture.html" target="_self">tgui::Picture</a></td><td class="desc"><a class="el" href="classtgui_1_1Picture.html" title="Picture widget. ">Picture</a> widget </td></tr>
<tr id="row_7_1_1_5_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ProgressBar.html" target="_self">tgui::ProgressBar</a></td><td class="desc">Progress bar widget </td></tr>
<tr id="row_7_1_1_6_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_7_1_1_6_" class="arrow" onclick="toggleFolder('7_1_1_6_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1RadioButton.html" target="_self">tgui::RadioButton</a></td><td class="desc">Radio button widget </td></tr>
<tr id="row_7_1_1_6_0_" style="display:none;"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1CheckBox.html" target="_self">tgui::CheckBox</a></td><td class="desc"><a class="el" href="classtgui_1_1CheckBox.html" title="CheckBox widget. ">CheckBox</a> widget </td></tr>
<tr id="row_7_1_1_7_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1SpinButton.html" target="_self">tgui::SpinButton</a></td><td class="desc">Spin button widget </td></tr>
<tr id="row_7_1_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ComboBox.html" target="_self">tgui::ComboBox</a></td><td class="desc">Combo box widget </td></tr>
<tr id="row_7_1_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_7_1_3_" class="arrow" onclick="toggleFolder('7_1_3_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Container.html" target="_self">tgui::Container</a></td><td class="desc"><a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> widget </td></tr>
<tr id="row_7_1_3_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_7_1_3_0_" class="arrow" onclick="toggleFolder('7_1_3_0_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChildWindow.html" target="_self">tgui::ChildWindow</a></td><td class="desc">Child window widget </td></tr>
<tr id="row_7_1_3_0_0_" style="display:none;"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1MessageBox.html" target="_self">tgui::MessageBox</a></td><td class="desc">Message box widget </td></tr>
<tr id="row_7_1_3_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Grid.html" target="_self">tgui::Grid</a></td><td class="desc"></td></tr>
<tr id="row_7_1_3_2_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_7_1_3_2_" class="arrow" onclick="toggleFolder('7_1_3_2_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Panel.html" target="_self">tgui::Panel</a></td><td class="desc"><a class="el" href="classtgui_1_1Panel.html" title="Panel widget. ">Panel</a> widget </td></tr>
<tr id="row_7_1_3_2_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span id="arr_7_1_3_2_0_" class="arrow" onclick="toggleFolder('7_1_3_2_0_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1BoxLayout.html" target="_self">tgui::BoxLayout</a></td><td class="desc">Abstract class for box layout containers </td></tr>
<tr id="row_7_1_3_2_0_0_" style="display:none;"><td class="entry"><span style="width:96px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1HorizontalLayout.html" target="_self">tgui::HorizontalLayout</a></td><td class="desc"><a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> that automatically resizes children to fit the entire available space between children </td></tr>
<tr id="row_7_1_3_2_0_1_" style="display:none;"><td class="entry"><span style="width:96px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1VerticalLayout.html" target="_self">tgui::VerticalLayout</a></td><td class="desc"><a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> that automatically resizes children to fit the entire available space between children </td></tr>
<tr id="row_7_1_4_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Knob.html" target="_self">tgui::Knob</a></td><td class="desc"><a class="el" href="classtgui_1_1Knob.html" title="Knob widget. ">Knob</a> widget </td></tr>
<tr id="row_7_1_5_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ListBox.html" target="_self">tgui::ListBox</a></td><td class="desc">List box widget </td></tr>
<tr id="row_7_1_6_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1MenuBar.html" target="_self">tgui::MenuBar</a></td><td class="desc"><a class="el" href="structtgui_1_1MenuBar_1_1Menu.html">Menu</a> bar widget </td></tr>
<tr id="row_7_1_7_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Scrollbar.html" target="_self">tgui::Scrollbar</a></td><td class="desc"><a class="el" href="classtgui_1_1Scrollbar.html" title="Scrollbar widget. ">Scrollbar</a> widget </td></tr>
<tr id="row_7_1_8_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Slider.html" target="_self">tgui::Slider</a></td><td class="desc"><a class="el" href="classtgui_1_1Slider.html" title="Slider widget. ">Slider</a> widget </td></tr>
<tr id="row_7_1_9_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Tab.html" target="_self">tgui::Tab</a></td><td class="desc"><a class="el" href="classtgui_1_1Tab.html" title="Tab widget. ">Tab</a> widget </td></tr>
<tr id="row_7_1_10_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TextBox.html" target="_self">tgui::TextBox</a></td><td class="desc">Text box widget </td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_8_" class="arrow" onclick="toggleFolder('8_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>enable_shared_from_this</b></td><td class="desc"></td></tr>
<tr id="row_8_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_8_0_" class="arrow" onclick="toggleFolder('8_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1BaseTheme.html" target="_self">tgui::BaseTheme</a></td><td class="desc">Base class for the <a class="el" href="classtgui_1_1Theme.html" title="Default Theme class. ">Theme</a> classes </td></tr>
<tr id="row_8_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Theme.html" target="_self">tgui::Theme</a></td><td class="desc">Default <a class="el" href="classtgui_1_1Theme.html" title="Default Theme class. ">Theme</a> class </td></tr>
<tr id="row_8_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Widget.html" target="_self">tgui::Widget</a></td><td class="desc">The parent class for every widget </td></tr>
<tr id="row_9_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Font.html" target="_self">tgui::Font</a></td><td class="desc"></td></tr>
<tr id="row_10_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Gui.html" target="_self">tgui::Gui</a></td><td class="desc"><a class="el" href="classtgui_1_1Gui.html" title="Gui class. ">Gui</a> class </td></tr>
<tr id="row_11_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Layout.html" target="_self">tgui::Layout</a></td><td class="desc">Class to store the left, top, width or height of a widget </td></tr>
<tr id="row_12_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Layout2d.html" target="_self">tgui::Layout2d</a></td><td class="desc">Class to store the position or size of a widget </td></tr>
<tr id="row_13_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtgui_1_1ChatBox_1_1Line.html" target="_self">tgui::ChatBox::Line</a></td><td class="desc"></td></tr>
<tr id="row_14_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtgui_1_1MenuBar_1_1Menu.html" target="_self">tgui::MenuBar::Menu</a></td><td class="desc"></td></tr>
<tr id="row_15_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ObjectConverter.html" target="_self">tgui::ObjectConverter</a></td><td class="desc">Implicit converter for settable properties </td></tr>
<tr id="row_16_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_16_" class="arrow" onclick="toggleFolder('16_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>runtime_error</b></td><td class="desc"></td></tr>
<tr id="row_16_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Exception.html" target="_self">tgui::Exception</a></td><td class="desc"></td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Serializer.html" target="_self">tgui::Serializer</a></td><td class="desc">Serialize an settable property </td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Signal.html" target="_self">tgui::Signal</a></td><td class="desc"></td></tr>
<tr id="row_19_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_19_" class="arrow" onclick="toggleFolder('19_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1SignalWidgetBase.html" target="_self">tgui::SignalWidgetBase</a></td><td class="desc">Base class for widgets to enable signal handling </td></tr>
<tr id="row_19_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Widget.html" target="_self">tgui::Widget</a></td><td class="desc">The parent class for every widget </td></tr>
<tr id="row_20_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TextureManager.html" target="_self">tgui::TextureManager</a></td><td class="desc"></td></tr>
<tr id="row_21_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ToolTip.html" target="_self">tgui::ToolTip</a></td><td class="desc">Interface to set the settings for the tool tips </td></tr>
<tr id="row_22_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_22_" class="arrow" onclick="toggleFolder('22_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>Transformable</b></td><td class="desc"></td></tr>
<tr id="row_22_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Texture.html" target="_self">tgui::Texture</a></td><td class="desc"></td></tr>
<tr id="row_23_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_23_" class="arrow" onclick="toggleFolder('23_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Transformable.html" target="_self">tgui::Transformable</a></td><td class="desc"></td></tr>
<tr id="row_23_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Widget.html" target="_self">tgui::Widget</a></td><td class="desc">The parent class for every widget </td></tr>
<tr id="row_24_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtgui_1_1EditBox_1_1Validator.html" target="_self">tgui::EditBox::Validator</a></td><td class="desc">Predefined input validators </td></tr>
<tr id="row_25_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_25_" class="arrow" onclick="toggleFolder('25_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetBorders.html" target="_self">tgui::WidgetBorders</a></td><td class="desc">Parent class for every widget that has borders </td></tr>
<tr id="row_25_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ButtonRenderer.html" target="_self">tgui::ButtonRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChatBoxRenderer.html" target="_self">tgui::ChatBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_25_2_" class="arrow" onclick="toggleFolder('25_2_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChildWindowRenderer.html" target="_self">tgui::ChildWindowRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_2_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1MessageBoxRenderer.html" target="_self">tgui::MessageBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ComboBoxRenderer.html" target="_self">tgui::ComboBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1EditBoxRenderer.html" target="_self">tgui::EditBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1KnobRenderer.html" target="_self">tgui::KnobRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1LabelRenderer.html" target="_self">tgui::LabelRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_7_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ListBoxRenderer.html" target="_self">tgui::ListBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_8_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1PanelRenderer.html" target="_self">tgui::PanelRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_9_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ProgressBarRenderer.html" target="_self">tgui::ProgressBarRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_10_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1SliderRenderer.html" target="_self">tgui::SliderRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_11_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1SpinButtonRenderer.html" target="_self">tgui::SpinButtonRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_12_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TabRenderer.html" target="_self">tgui::TabRenderer</a></td><td class="desc"></td></tr>
<tr id="row_25_13_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TextBoxRenderer.html" target="_self">tgui::TextBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_26_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetConverter.html" target="_self">tgui::WidgetConverter</a></td><td class="desc">Implicit converter for widgets returned by the load function of the theme </td></tr>
<tr id="row_27_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetLoader.html" target="_self">tgui::WidgetLoader</a></td><td class="desc">Class to load widgets from a text file </td></tr>
<tr id="row_28_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_28_" class="arrow" onclick="toggleFolder('28_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetPadding.html" target="_self">tgui::WidgetPadding</a></td><td class="desc">Parent class for every widget that has padding </td></tr>
<tr id="row_28_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChatBoxRenderer.html" target="_self">tgui::ChatBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_28_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ComboBoxRenderer.html" target="_self">tgui::ComboBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_28_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1EditBoxRenderer.html" target="_self">tgui::EditBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_28_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1LabelRenderer.html" target="_self">tgui::LabelRenderer</a></td><td class="desc"></td></tr>
<tr id="row_28_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ListBoxRenderer.html" target="_self">tgui::ListBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_28_5_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_28_5_" class="arrow" onclick="toggleFolder('28_5_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1RadioButtonRenderer.html" target="_self">tgui::RadioButtonRenderer</a></td><td class="desc"></td></tr>
<tr id="row_28_5_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1CheckBoxRenderer.html" target="_self">tgui::CheckBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_28_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TextBoxRenderer.html" target="_self">tgui::TextBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_29_" class="arrow" onclick="toggleFolder('29_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetRenderer.html" target="_self">tgui::WidgetRenderer</a></td><td class="desc">Base class for all renderer classes </td></tr>
<tr id="row_29_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ButtonRenderer.html" target="_self">tgui::ButtonRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChatBoxRenderer.html" target="_self">tgui::ChatBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChildWindowRenderer.html" target="_self">tgui::ChildWindowRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ComboBoxRenderer.html" target="_self">tgui::ComboBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1EditBoxRenderer.html" target="_self">tgui::EditBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1KnobRenderer.html" target="_self">tgui::KnobRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1LabelRenderer.html" target="_self">tgui::LabelRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_7_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ListBoxRenderer.html" target="_self">tgui::ListBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_8_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1MenuBarRenderer.html" target="_self">tgui::MenuBarRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_9_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1PanelRenderer.html" target="_self">tgui::PanelRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_10_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ProgressBarRenderer.html" target="_self">tgui::ProgressBarRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_11_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1RadioButtonRenderer.html" target="_self">tgui::RadioButtonRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_12_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ScrollbarRenderer.html" target="_self">tgui::ScrollbarRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_13_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1SliderRenderer.html" target="_self">tgui::SliderRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_14_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1SpinButtonRenderer.html" target="_self">tgui::SpinButtonRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_15_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TabRenderer.html" target="_self">tgui::TabRenderer</a></td><td class="desc"></td></tr>
<tr id="row_29_16_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TextBoxRenderer.html" target="_self">tgui::TextBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_30_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetSaver.html" target="_self">tgui::WidgetSaver</a></td><td class="desc">Class to save widgets to a text file </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:46 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
